package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 巡检标准信息对象 dms_base_inspect_standard
 * 
 * @author Open Platform
 * @date 2024-01-17
 */
public class DmsBaseInspectStandard extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long inspectStandardId;

    /** 标准编号 */
    @Excel(name = "标准编号")
    private String standardCode;

    /** 标准名称 */
    @Excel(name = "标准名称")
    private String standardName;

    /** 巡检目的 */
    @Excel(name = "巡检目的")
    private String inspectObjective;

    /** 巡检项目ID，关联dms_base_inspect_project的inspect_project_id */
    @Excel(name = "巡检项目ID，关联dms_base_inspect_project的inspect_project_id")
    private Long inspectProjectId;

    /** 检查项总数 */
    @Excel(name = "检查项总数")
    private Long inspectItemCount;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    public void setInspectStandardId(Long inspectStandardId) 
    {
        this.inspectStandardId = inspectStandardId;
    }

    public Long getInspectStandardId() 
    {
        return inspectStandardId;
    }
    public void setStandardCode(String standardCode) 
    {
        this.standardCode = standardCode;
    }

    public String getStandardCode() 
    {
        return standardCode;
    }
    public void setStandardName(String standardName) 
    {
        this.standardName = standardName;
    }

    public String getStandardName() 
    {
        return standardName;
    }
    public void setInspectObjective(String inspectObjective) 
    {
        this.inspectObjective = inspectObjective;
    }

    public String getInspectObjective() 
    {
        return inspectObjective;
    }
    public void setInspectProjectId(Long inspectProjectId) 
    {
        this.inspectProjectId = inspectProjectId;
    }

    public Long getInspectProjectId() 
    {
        return inspectProjectId;
    }
    public void setInspectItemCount(Long inspectItemCount) 
    {
        this.inspectItemCount = inspectItemCount;
    }

    public Long getInspectItemCount() 
    {
        return inspectItemCount;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectStandardId", getInspectStandardId())
            .append("standardCode", getStandardCode())
            .append("standardName", getStandardName())
            .append("inspectObjective", getInspectObjective())
            .append("inspectProjectId", getInspectProjectId())
            .append("inspectItemCount", getInspectItemCount())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
